## org.eclipse.datatools.sqltools.sqlbuilder.actions
Class NewSQLStatementDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sqlbuilder.actions.NewSQLStatementDialog

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.window.IShellProvider, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.internal.SWTEventListener

    public class NewSQLStatementDialog

extends org.eclipse.jface.dialogs.Dialog
implements org.eclipse.swt.events.ModifyListener

This class implements a dialog which allows the user to name a new SQL statement, select it's type, and select an editor with which to edit it.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`NewSQLStatementDialog(org.eclipse.swt.widgets.Shell parent, org.eclipse.jface.dialogs.IInputValidator validator)` Creates an instance of this class.

Method Summary
`void` `create()` Creates this window's widgetry in a new top-level shell.
`NewSQLStatementComposite` `getDialogAreaComposite()` Gets the composite that comprises the "dialog area" of this dialog.
`void` `modifyText(org.eclipse.swt.events.ModifyEvent evt)` Gets called when the text widget that this object is listening to is modified.

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewSQLStatementDialog

    public NewSQLStatementDialog(org.eclipse.swt.widgets.Shell parent,
                                 org.eclipse.jface.dialogs.IInputValidator validator)

  Creates an instance of this class.

  Parameters:
    `parent` - the parent Shell for this dialog

Method Detail

### create

    public void create()

  Creates this window's widgetry in a new top-level shell.

  Overrides:
    `create` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Window.create()`

### getDialogAreaComposite

    public NewSQLStatementComposite getDialogAreaComposite()

  Gets the composite that comprises the "dialog area" of this dialog. (That is, the upper part of the dialog, above the button bar.)

  Returns:
    the dialog area composite

### modifyText

    public void modifyText(org.eclipse.swt.events.ModifyEvent evt)

  Gets called when the text widget that this object is listening to is modified.

  Specified by:
    `modifyText` in interface `org.eclipse.swt.events.ModifyListener`
  Parameters:
    `evt` - the modify event